org.eclnt.workplace

## Class WorkplaceFunctionTree.FunctionNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.elements.impl.FIXGRIDTreeItem
    - - org.eclnt.workplace.WorkplaceFunctionTree.FunctionNode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable, IFIXGRIDItem, IWorkpageStartInfo
  Enclosing class:
    WorkplaceFunctionTree

      public class WorkplaceFunctionTree.FunctionNode
      extends FIXGRIDTreeItem
      implements IWorkpageStartInfo, java.io.Serializable

  Represents function in function tree. The node is either a folgder node - then it just provides a text and (optionally) an image. Or it is a node containing workpage start information.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDTreeItem

      `STATUS_CLOSED, STATUS_ENDNODE, STATUS_OPENED`

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionNode(FIXGRIDTreeItem parentNode)` This constructor is used when creating folder nodes.
    `FunctionNode(FIXGRIDTreeItem parentNode, java.lang.String page)` This constructor is used when creating page nodes - containing start information.
    `FunctionNode(FIXGRIDTreeItem parentNode, WorkpageStartInfo wpsi)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppReference1()` Application reference - this field is not used by CaptainCasa processing.
    `java.lang.String` | `getAppReference2()` Application reference - this field is not used by CaptainCasa processing.
    `java.lang.String` | `getAppReference3()` Application reference - this field is not used by CaptainCasa processing.
    `boolean` | `getCloseSupported()`
    `java.lang.String` | `getCode()` A short code for this item.
    `java.lang.String` | `getComment()` Comment that is associated with this instance.
    `java.lang.String` | `getCommentImage()` Image that serves as additional comment to the image.
    `java.lang.String` | `getDragSend()` Returns drag-send information of the node.
    `java.lang.String` | `getDropReceive()`
    `boolean` | `getExcludeFromSavePerspective()`
    `java.lang.String` | `getFunctionClassName()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getImage()`
    `java.lang.String` | `getJspPage()`
    `boolean` | `getOpenAsPopupByDefault()`
    `boolean` | `getOpenMultipleInstances()`
    `java.lang.String` | `getPageBeanName()`
    `java.lang.String` | `getParam(java.lang.String paramName)`
    `boolean` | `getPopupSuppoted()`
    `java.lang.String` | `getSelectorTitle()`
    `java.lang.String` | `getStartSubWorkpageContainerId()`
    `java.lang.String` | `getText()`
    `java.lang.String` | `getTextOriginal()` The text may be an expression.
    `java.lang.String` | `getTooltip()`
    `java.lang.String` | `getWindowTitle()`
    `WorkpageStartInfo` | `getWorkpageStartInfo()`
    `boolean` | `isDecorated()`
    `void` | `onRowExecute()` Reaction on row executions in the client (double click, return key selection).
    `void` | `onRowSelect()` Reaction on row selections in the client.
    `void` | `onToggle()` Event that is passed from the client when the user open/close a folder node.
    `void` | `removeParam(java.lang.String paramName)`
    `void` | `setAppReference1(java.lang.String appReference1)`
    `void` | `setAppReference2(java.lang.String appReference2)`
    `void` | `setAppReference3(java.lang.String appReference3)`
    `void` | `setCloseSupported(boolean value)`
    `void` | `setCode(java.lang.String code)`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setCommentImage(java.lang.String commentImage)`
    `void` | `setDecorated(boolean value)`
    `void` | `setDragSend(java.lang.String value)` You can explicitly add drag-send information to the node.
    `void` | `setDropReceive(java.lang.String value)` You can explicitly set the DROPRECEIVE statenemtn within the function node - so that you can drag&drop information into the workplace function tree.
    `void` | `setExcludeFromSavePerspective(boolean excludeFromSavePerspective)`
    `void` | `setFunctionClassName(java.lang.String functionClassName)`
    `void` | `setId(java.lang.String value)`
    `void` | `setImage(java.lang.String value)` Sets the image that is rendered for the node.
    `void` | `setJspPage(java.lang.String jspPage)`
    `void` | `setNodeTooltip(java.lang.String nodeTooltip)`
    `void` | `setOpenAsPopupByDefault(boolean value)`
    `void` | `setOpenMultipleInstances(boolean value)`
    `void` | `setPageBeanName(java.lang.String pageBeanName)`
    `void` | `setParam(java.lang.String paramName, java.lang.String paramValue)`
    `void` | `setPopupSupported(boolean value)`
    `void` | `setSelectorTitle(java.lang.String value)` Explicit different text that is passed into the selector, when the workpage is started. - If null then the title passed via setText(..) is taken.
    `void` | `setStartSubWorkpageContainerId(java.lang.String value)`
    `void` | `setText(java.lang.String value)` Sets tje text of the node.
    `void` | `setWindowTitle(java.lang.String value)` Explicit different text that is passed into the workpage's title, when the workpage is started. - if null then the title passed via setText(..) is taken.

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDTreeItem

      `addSubNode, addSubNode, appendVisibleSubNodes, checkIfNodeHasAsParent, closeAllNodes, collapseNode, collapseNodeAndSubNodes, compareTo, expandNode, expandNodeAndSubNodes, getAllContainedNodes, getChildNodes, getLevel, getLevelInt, getParentNode, getRequestfocus, getStatus, getStatusInt, moveSubNodeBehind, moveSubNodeInFront, moveSubNodeOneDown, moveSubNodeOneUp, moveSubNodesOneDown, moveSubNodesOneUp, moveSubNodeToFirst, moveSubNodeToLast, openAllParentNodes, processTREENDOEAction, removeAllChildNodes, removeAllChildNodes, removeNode, requestFocus, setLevel, setStatus, toggleNode, toggleNodeAndScroll`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowPopupMenuItem, onRowPopupMenuLoad, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionNode

          public FunctionNode(FIXGRIDTreeItem parentNode)

      This constructor is used when creating folder nodes.

    - #### FunctionNode

          public FunctionNode(FIXGRIDTreeItem parentNode,
                              java.lang.String page)

      This constructor is used when creating page nodes - containing start information.

    - #### FunctionNode

          public FunctionNode(FIXGRIDTreeItem parentNode,
                              WorkpageStartInfo wpsi)

  - ### Method Detail

    - #### setDecorated

          public void setDecorated(boolean value)

      Specified by:
        `setDecorated` in interface `IWorkpageStartInfo`

    - #### setOpenMultipleInstances

          public void setOpenMultipleInstances(boolean value)

      Specified by:
        `setOpenMultipleInstances` in interface `IWorkpageStartInfo`

    - #### getWindowTitle

          public java.lang.String getWindowTitle()

      Specified by:
        `getWindowTitle` in interface `IWorkpageStartInfo`

    - #### isDecorated

          public boolean isDecorated()

      Specified by:
        `isDecorated` in interface `IWorkpageStartInfo`

    - #### getOpenMultipleInstances

          public boolean getOpenMultipleInstances()

      Specified by:
        `getOpenMultipleInstances` in interface `IWorkpageStartInfo`

    - #### getOpenAsPopupByDefault

          public boolean getOpenAsPopupByDefault()

      Specified by:
        `getOpenAsPopupByDefault` in interface `IWorkpageStartInfo`

    - #### getJspPage

          public java.lang.String getJspPage()

      Specified by:
        `getJspPage` in interface `IWorkpageStartInfo`

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `IWorkpageStartInfo`

    - #### getParam

          public java.lang.String getParam(java.lang.String paramName)

      Specified by:
        `getParam` in interface `IWorkpageStartInfo`

    - #### setFunctionClassName

          public void setFunctionClassName(java.lang.String functionClassName)

      Specified by:
        `setFunctionClassName` in interface `IWorkpageStartInfo`

    - #### getFunctionClassName

          public java.lang.String getFunctionClassName()

      Specified by:
        `getFunctionClassName` in interface `IWorkpageStartInfo`

    - #### onRowExecute

          public void onRowExecute()

      Description copied from class: `FIXGRIDItem`
      Reaction on row executions in the client (double click, return key selection).
      Specified by:
        `onRowExecute` in interface `IFIXGRIDItem`
      Overrides:
        `onRowExecute` in class `FIXGRIDItem`

    - #### onToggle

          public void onToggle()

      Description copied from class: `FIXGRIDTreeItem`
      Event that is passed from the client when the user open/close a folder node. You may read sub-items into the tree as reaction. OVerride this method in your implementation.
      Overrides:
        `onToggle` in class `FIXGRIDTreeItem`

    - #### onRowSelect

          public void onRowSelect()

      Description copied from class: `FIXGRIDItem`
      Reaction on row selections in the client. Override this method for specific reactions.
      Specified by:
        `onRowSelect` in interface `IFIXGRIDItem`
      Overrides:
        `onRowSelect` in class `FIXGRIDItem`

    - #### getDragSend

          public java.lang.String getDragSend()

      Returns drag-send information of the node. Please note this is not a 100% counter-part of `setDragSend(String)`: each node may get assigned some workplace-internal drag-send information in addition to what you may pass within the setDragSend method.

    - #### setText

          public void setText(java.lang.String value)

      Description copied from class: `FIXGRIDTreeItem`
      Sets tje text of the node.
      Specified by:
        `setText` in interface `IWorkpageStartInfo`
      Overrides:
        `setText` in class `FIXGRIDTreeItem`

    - #### setImage

          public void setImage(java.lang.String value)

      Description copied from class: `FIXGRIDTreeItem`
      Sets the image that is rendered for the node. Setting the image is optional.
      Specified by:
        `setImage` in interface `IWorkpageStartInfo`
      Overrides:
        `setImage` in class `FIXGRIDTreeItem`

    - #### setId

          public void setId(java.lang.String value)

      Specified by:
        `setId` in interface `IWorkpageStartInfo`

    - #### getText

          public java.lang.String getText()

      Specified by:
        `getText` in interface `IWorkpageStartInfo`
      Overrides:
        `getText` in class `FIXGRIDTreeItem`

    - #### getTextOriginal

          public java.lang.String getTextOriginal()

      The text may be an expression. While getText() returns the resolved expression, this method returns the original text.

    - #### getImage

          public java.lang.String getImage()

      Specified by:
        `getImage` in interface `IWorkpageStartInfo`
      Overrides:
        `getImage` in class `FIXGRIDTreeItem`

    - #### setParam

          public void setParam(java.lang.String paramName,
                               java.lang.String paramValue)

      Specified by:
        `setParam` in interface `IWorkpageStartInfo`

    - #### removeParam

          public void removeParam(java.lang.String paramName)

      Specified by:
        `removeParam` in interface `IWorkpageStartInfo`

    - #### setJspPage

          public void setJspPage(java.lang.String jspPage)

      Specified by:
        `setJspPage` in interface `IWorkpageStartInfo`

    - #### setPopupSupported

          public void setPopupSupported(boolean value)

      Specified by:
        `setPopupSupported` in interface `IWorkpageStartInfo`

    - #### setCloseSupported

          public void setCloseSupported(boolean value)

      Specified by:
        `setCloseSupported` in interface `IWorkpageStartInfo`

    - #### setOpenAsPopupByDefault

          public void setOpenAsPopupByDefault(boolean value)

      Specified by:
        `setOpenAsPopupByDefault` in interface `IWorkpageStartInfo`

    - #### setSelectorTitle

          public void setSelectorTitle(java.lang.String value)

      Description copied from interface: `IWorkpageStartInfo`
      Explicit different text that is passed into the selector, when the workpage is started. - If null then the title passed via setText(..) is taken.
      Specified by:
        `setSelectorTitle` in interface `IWorkpageStartInfo`

    - #### setWindowTitle

          public void setWindowTitle(java.lang.String value)

      Description copied from interface: `IWorkpageStartInfo`
      Explicit different text that is passed into the workpage's title, when the workpage is started. - if null then the title passed via setText(..) is taken.
      Specified by:
        `setWindowTitle` in interface `IWorkpageStartInfo`

    - #### setDropReceive

          public void setDropReceive(java.lang.String value)

      You can explicitly set the DROPRECEIVE statenemtn within the function node - so that you can drag&drop information into the workplace function tree.

    - #### getDropReceive

          public java.lang.String getDropReceive()

    - #### setDragSend

          public void setDragSend(java.lang.String value)

      You can explicitly add drag-send information to the node.

    - #### getWorkpageStartInfo

          public WorkpageStartInfo getWorkpageStartInfo()

    - #### setStartSubWorkpageContainerId

          public void setStartSubWorkpageContainerId(java.lang.String value)

      Specified by:
        `setStartSubWorkpageContainerId` in interface `IWorkpageStartInfo`

    - #### getPopupSuppoted

          public boolean getPopupSuppoted()

      Specified by:
        `getPopupSuppoted` in interface `IWorkpageStartInfo`

    - #### getCloseSupported

          public boolean getCloseSupported()

      Specified by:
        `getCloseSupported` in interface `IWorkpageStartInfo`

    - #### getStartSubWorkpageContainerId

          public java.lang.String getStartSubWorkpageContainerId()

      Specified by:
        `getStartSubWorkpageContainerId` in interface `IWorkpageStartInfo`

    - #### getSelectorTitle

          public java.lang.String getSelectorTitle()

      Specified by:
        `getSelectorTitle` in interface `IWorkpageStartInfo`

    - #### setPageBeanName

          public void setPageBeanName(java.lang.String pageBeanName)

      Specified by:
        `setPageBeanName` in interface `IWorkpageStartInfo`

    - #### getPageBeanName

          public java.lang.String getPageBeanName()

      Specified by:
        `getPageBeanName` in interface `IWorkpageStartInfo`

    - #### setNodeTooltip

          public void setNodeTooltip(java.lang.String nodeTooltip)

    - #### getTooltip

          public java.lang.String getTooltip()

    - #### getExcludeFromSavePerspective

          public boolean getExcludeFromSavePerspective()

      Specified by:
        `getExcludeFromSavePerspective` in interface `IWorkpageStartInfo`

    - #### setExcludeFromSavePerspective

          public void setExcludeFromSavePerspective(boolean excludeFromSavePerspective)

      Specified by:
        `setExcludeFromSavePerspective` in interface `IWorkpageStartInfo`

    - #### getComment

          public java.lang.String getComment()

      Description copied from interface: `IWorkpageStartInfo`
      Comment that is associated with this instance. The comment e.g. is shown as tooltip.
      Specified by:
        `getComment` in interface `IWorkpageStartInfo`

    - #### setComment

          public void setComment(java.lang.String comment)

      Specified by:
        `setComment` in interface `IWorkpageStartInfo`

    - #### getCommentImage

          public java.lang.String getCommentImage()

      Description copied from interface: `IWorkpageStartInfo`
      Image that serves as additional comment to the image. The comment is currently not directly used in the workplace but may be used in subsequent component like the launchpad (CCLaunchPad).
      Specified by:
        `getCommentImage` in interface `IWorkpageStartInfo`

    - #### setCommentImage

          public void setCommentImage(java.lang.String commentImage)

      Specified by:
        `setCommentImage` in interface `IWorkpageStartInfo`

    - #### getCode

          public java.lang.String getCode()

      Description copied from interface: `IWorkpageStartInfo`
      A short code for this item. The user can call the function from the search screen by just using this code.
      Specified by:
        `getCode` in interface `IWorkpageStartInfo`

    - #### setCode

          public void setCode(java.lang.String code)

      Specified by:
        `setCode` in interface `IWorkpageStartInfo`

    - #### getAppReference1

          public java.lang.String getAppReference1()

      Description copied from interface: `IWorkpageStartInfo`
      Application reference - this field is not used by CaptainCasa processing. It is up to your application to use it.
      Specified by:
        `getAppReference1` in interface `IWorkpageStartInfo`

    - #### setAppReference1

          public void setAppReference1(java.lang.String appReference1)

      Specified by:
        `setAppReference1` in interface `IWorkpageStartInfo`

    - #### getAppReference2

          public java.lang.String getAppReference2()

      Description copied from interface: `IWorkpageStartInfo`
      Application reference - this field is not used by CaptainCasa processing. It is up to your application to use it.
      Specified by:
        `getAppReference2` in interface `IWorkpageStartInfo`

    - #### setAppReference2

          public void setAppReference2(java.lang.String appReference2)

      Specified by:
        `setAppReference2` in interface `IWorkpageStartInfo`

    - #### getAppReference3

          public java.lang.String getAppReference3()

      Description copied from interface: `IWorkpageStartInfo`
      Application reference - this field is not used by CaptainCasa processing. It is up to your application to use it.
      Specified by:
        `getAppReference3` in interface `IWorkpageStartInfo`

    - #### setAppReference3

          public void setAppReference3(java.lang.String appReference3)

      Specified by:
        `setAppReference3` in interface `IWorkpageStartInfo`

Copyright © CaptainCasa Gmbh. All Rights Reserved.